# pamshadedrelief

Updated: 26 July 2014
Table Of Contents

## NAME

pamshadedrelief - generate shaded relief image from an elevation map

## SYNOPSIS

pamshadedrelief [-gamma g]

## DESCRIPTION

This program is part of Netpbm.

pamshadedrelief creates a shaded relief image from an elevation map. A shaded relief image is a visual image of terrain, showing the terrain as if illuminated by oblique light and viewed from above, so that the brightess of each spot depends upon its slope. A common example of a shaded relief image is a relief map of the Earth, which shows mountains and valleys.

The image pamshadedrelief creates is as if illumated by a light source from the left.

The output image is a PAM with tuple type GRAYSCALE.

The program pamcrater is a good thing to use to demonstrate the function of pamshadedrelief. It generates a terrain map of a cratered landscape.

        $ pamcrater | pamshadedrelief | pamx

## OPTIONS

All options can be abbreviated to their shortest unique prefix.

-gamma factor
  The specified factor is used to gamma adjust the image in the same manner as performed by pnmgamma. The default value is 1.0, which results in a medium contrast image. Values larger than 1 lighten the image and reduce contrast, while values less than 1 darken the image, increasing contrast.

  Note that this is separate from the gamma correction that is part of the definition of the PAM GRAYSCALE format. The image pamshadedrelief generates is a genuine, gamma-corrected PAM GRAYSCALE image in any case. This option simply changes the contrast and may compensate for a display device that does not correctly render PAM GRAYSCALE images.

## DESIGN NOTES

The-gamma option isn't really necessary since you can achieve the same effect by piping the output from pamshadedrelief through pnmgamma. However, pamshadedrelief performs an internal gamma map anyway in the process of rendering the elevation array into the PAM GRAYSCALE format, so there's no additional overhead in allowing an additional gamma adjustment.

## SEE ALSO

ppmrelief pnmgamma, pnmsmooth pamcrater pam,

## AUTHOR

pgmcrater, from which this is derived, was written by John Walker:

    John Walker
    Autodesk SA
    Avenue des Champs-Montants 14b
    CH-2074 MARIN
    Suisse/Schweiz/Svizzera/Svizra/Switzerland
        Usenet:kelvin@Autodesk.com
        Fax:038/33 88 15
        Voice:038/33 76 33

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, without any conditions or restrictions. This software is provided "as is" without express or implied warranty.

## HISTORY

pgmcrater was split into pamshadedrelief and pamcrater in Netpbm 10.68 (September 2014). See the history section of the pamcrater manual for details.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- DESIGN NOTES
- SEE ALSO
- AUTHOR
- HISTORY